<?php

use think\migration\Migrator;

class CreateProductInquiry extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('product_inquiry', ['engine' => 'MyISAM', 'comment' => '产品询盘表']);
        $table->addColumn('language_id', 'integer', ['null' => false, 'comment' => '语言ID'])
            ->addColumn('corp_name', 'string', ['limit' => 128, 'null' => false, 'comment' => '公司名称'])
            ->addColumn('first_name', 'string', ['limit' => 64, 'null' => false, 'comment' => '姓'])
            ->addColumn('last_name', 'string', ['limit' => 64, 'null' => false, 'comment' => '名'])
            ->addColumn('email', 'string', ['limit' => 128, 'null' => false, 'comment' => '邮箱'])
            ->addColumn('phone', 'string', ['limit' => 64, 'null' => true, 'default' => null, 'comment' => '电话'])
            ->addColumn('country_name', 'string', ['limit' => 128, 'null' => true, 'default' => null, 'comment' => '所在国家名称'])
            ->addColumn('industry', 'string', ['limit' => 64, 'null' => true, 'default' => null, 'comment' => '所属行业'])
            ->addColumn('referer_url', 'string', ['limit' => 256, 'null' => true, 'default' => null, 'comment' => '来源URL'])
            ->addColumn('message', 'text', ['null' => true, 'default' => null, 'comment' => '留言内容'])
            ->addColumn('created_at', 'timestamp', ['null' => false, 'default' => 'CURRENT_TIMESTAMP', 'comment' => '创建时间'])
            ->create();
    }
}
